Zoey REST API reference ยท Interactive version: apidocs.zoey.com

Quotes

Quotes: Address

Set

PUT https://container-url.zoeysite.com/api/rest/quotes2/quote_addresses

New Address

addressData Description
mode billing or shipping
firstname First name on address.
lastname Last name on address.
company Company name for address. Unrelated to Zoey Company objects.
street Street address. Use multiple lines for apartment, unit, floor number, etc...
city City for address.
region_id Region ID of state or province being used.
region For countries that do not use Region dropdowns, provide text of address region. Not used when region_id is present.
postcode Zip/Post code for address.
country_id Text abbreviation for country in use (US, UK), etc...
telephone Phone number for address.
fax Fax number for address.

Existing Address

addressData Description
mode billing or shipping
address_id ID of existing address.

Example request body:

{
    "quoteId": "113",
    "customerAddressData": [
        {
            "mode": "billing",
            "address_id": "1"
        },
        {
            "mode": "shipping",
            "address_id": "1"
        }
    ]
}